import java.io.*;
import java.net.*;

/** Small class to receive and display any UDP packets sent to port 777.
 * The UdpDebug() function on Mike's Ambient Device broadcasts packets
 * to this port, allowing for some primative debugging.
 */
public class UdpLogger
{
    public static void main(String args[]) throws Exception
    {
        DatagramSocket s = new DatagramSocket(777);
        DatagramPacket p = new DatagramPacket(new byte[1500], 1500);

        s.setBroadcast(true);

        while(true)
        {
            int l;

            s.receive(p);

            l = p.getLength();

            for(int t = 0; t < l; t++)
            {
                System.out.print(p.getData()[t]);
                if(t + 1 < l) System.out.print(", ");
            }

            System.out.print(" : ");

            for(int t = 0; t < l; t++)
            {
                System.out.print((char)(p.getData()[t]));
                if(t + 1 < l) System.out.print(", ");
            }


            System.out.println();
        }
    }
}

/* END OF FILE */
